THG(1)

NAME
thg - TortoiseHg's GUI tools for Mercurial SCM (Hg)

SYNOPSIS

thg [global options] command [command options]

DESCRIPTION

This manual page documents briefly the thgcommand.

This manual page was written for the Debian distribution because the original program does not have a manual page.

thg is a program that invokes TortoiseHg's GUI tools for Mercurial SCM (i.e. hg(1))

OPTIONS

The program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

  Global Options

-R, --repository
    Set the repository root directory or symbolic path name.

-v, --verbose
    Enable additional output.

-q, --quiet
    Suppress output.

-h, --help
    Display help and exit.

--debugger
    Start debugger.

--profile
    Print command execution profile.

--nofork
    Do not fork GUI process.

--fork
    Always fork GUI process.

--listfile
    Read file list from file.

--listfileutf8
    Read file list from file encoding utf-8.

  Commands

Here is a bref list of the supported commands. More detailed documentation on a specific command can be obtained by running: thg help command

about
    About dialog.

add
    Add files.

annotate, blame
    Annotate dialog.

archive
    Archive dialog.

backout
    Backout tool.

bisect
    Bisect dialog.

clone
    Clone tool.

commit, ci
    Commit tool.

drag_copy
    Copy the selected files to the desired directory.

drag_move
    Move the selected files to the desired directory.

email
    Send changesets by email.

forget
    Forget selected files.

grep, search
    Grep/search dialog.

guess
    Guess previous renames or copies.

help
    Show help for a command, extension, or list of commands.

hgignore, ignore, filter
    Ignore filter editor.

import
    Import an ordered set of patches.

init
    Init dialog.

log, history, explorer, workbench
    Workbench application.

manifest
    Display the current or given revision of the project manifest.

merge
    Merge wizard.

mq
    Mercurial Queue tool.

purge
    Purge unknown and/or ignore files from repository.

qqueue
    Manage multiple MQ patch queues.

qreorder
    Reorder unapplied MQ patches.

rebase
    Rebase dialog.

rejects
    Manually resolve rejected patch chunks.

remove, rm
    Remove selected files.

rename, mv, copy
    Rename dialog.

repoconfig
    Repository configuration editor.

resolve
    Resolve dialog.

revert
    Revert selected files.

serve
    Start stand-alone webserver.

shelve, unshelve
    Move changes between working directory and patches.

status
    Browse working copy status.

strip
    Strip dialog.

sync, synchronize
    Synchronize with other repositories.

tag
    Tag tool.

test
    Test arbitrary widgets.

update, checkout, co
    Update/checkout tool.

userconfig
    User configuration editor.

vdiff
    Launch configured visual diff tool.

version
    Output version and copyright information.

BUGS

The upstreams BTS can be found at https://bitbucket.org/tortoisehg/thg/issues.

SEE ALSO

hg(1)

AUTHOR

Ludovico Cavedon <cavedon@debian.org>
    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2009-2011 Ludovico Cavedon <cavedon@debian.org>>

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL-2.